OpenAI Live
Send a request through RunAPI's OpenAI-compatible Live operation.
개요
Use RunAPI's OpenAI-compatible Live operation with a compatible model and the protocol's request and response shapes.
빠른 시작
- API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
- 호환되는 모델을 선택한 후 문서화된 경로 매개변수와 JSON 본문을 전송합니다.
- 해당 작업에 대한 JSON 응답 또는 서버 전송 이벤트를 읽고 프로토콜 오류를 처리하세요.
엔드포인트
- Base URL
https://runapi.ai- 계약 버전
v1- 권장 인증 방식
Authorization: Bearer YOUR_API_TOKEN
인증 정보 전달 방식
RunAPI는 아래 나열된 각 캐리어를 허용합니다. 생성된 샘플은 프로토콜의 기본 헤더를 사용합니다.
- header - 권장
Authorization: Bearer YOUR_API_TOKEN- header
x-api-key: YOUR_API_TOKEN
호환 모델
현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.
호환 모델 1개 표시
요청 계약
공개 프로토콜과 RunAPI 지원이 모두 확인된 필드만 나열됩니다. 추가 JSON 본문 필드는 그대로 전달됩니다.
JSON 본문필드 15개
delegation["object", "null"]Optional client or Responses delegation contract.
delegation.instructionsstringBackend prompt for delegated work when type is responses.
delegation.max_output_tokensintegerOutput token budget for the delegated response.
delegation.modelstringResponses model that runs delegated work when type is responses.
delegation.parallel_tool_callsbooleanAllow independent delegated tool calls in one turn.
delegation.reasoningobjectReasoning settings for the delegated model.
delegation.service_tierstringService tier requested for the delegated response.
delegation.textobjectText output settings for the delegated response.
delegation.tool_choice["string", "object"]Which delegated tools the backend may use.
delegation.toolsarrayHosted Responses tools, or client-owned function tools when type is client.
delegation.tools[].typestringdelegation.typestringclient, responses
modelstringRunAPI model identifier; Live currently supports gpt-live-1.
sdpstringClient SDP offer for the WebRTC session.
transportstringWebRTC session negotiation transport.
요청 예시
{
"delegation": {
"model": "gpt-5.6-terra",
"tools": [
{
"type": "web_search_preview"
}
],
"type": "responses"
},
"model": "gpt-live-1",
"sdp": "v=0",
"transport": "webrtc"
}
동기 응답
스키마
{
"additionalProperties": true,
"properties": {
"session": {
"additionalProperties": true,
"type": "object"
},
"transport": {
"additionalProperties": true,
"type": "object"
}
},
"required": [
"session",
"transport"
],
"type": "object"
}
예시
{
"session": {
"id": "live_123"
},
"transport": {
"sdp": "answer",
"type": "webrtc"
}
}
프로토콜 오류: invalid_request
스키마
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
예시
{
"error": {
"code": null,
"message": "Invalid Live session request",
"param": "sdp",
"type": "invalid_request_error"
}
}
사용량
스키마
{
"additionalProperties": true,
"properties": {
"duration_seconds": {
"type": "number"
}
},
"required": [
"duration_seconds"
],
"type": "object"
}
예시
{
"duration_seconds": 3
}
생성된 코드 샘플
각 cURL, JavaScript, Python 예제는 프로토콜별 SDK 없이도 이 계약에서 검증된 요청을 전송합니다.
설치
pip install requests
import requests
response = requests.post(
"https://runapi.ai/v1/live/webrtc",
headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
json={"model": "gpt-live-1", "transport": "webrtc", "sdp": "v=0", "delegation": {"type": "responses", "model": "gpt-5.6-terra", "tools": [{"type": "web_search_preview"}]}}
)
response.raise_for_status()
print(response.json())